/* eslint-disable no-unused-vars */
import {
  knockout,
  SvgPathBindingHandler
} from 'cesium/Cesium'
//import KnockoutMarkdownBinding from './KnockoutMarkdownBinding'
import KnockoutHammerBinding from './KnockoutHammerBinding'


var registerKnockoutBindings = function () {
  SvgPathBindingHandler.register(knockout)
  //KnockoutMarkdownBinding.register(Knockout)
  KnockoutHammerBinding.register(knockout)

  knockout.bindingHandlers.embeddedComponent = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
      var component = knockout.unwrap(valueAccessor())
      component.show(element)
      return { controlsDescendantBindings: true }
    },
    update: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
    }
  }
}

export default registerKnockoutBindings
